CREATE TABLE LogTmEntrada ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Entradas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipoProd VARCHAR(10),
Descripcion VARCHAR(500),
IdEstacion VARCHAR(4),
Unidad VARCHAR(50),
Estacion VARCHAR(50),
Producto VARCHAR(150),
IdSubgrupo VARCHAR(8)
 CONSTRAINT PK_LogTmEntrada PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmEntradaIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmEntradaIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_LogTmEntradaIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmEntradaUndMed CHECK ((len([UndMed])>(0))))

CREATE TABLE LogTmGuia ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
TipoProd VARCHAR(10) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(1000) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
Temperatura DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TempLab DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UnidTemp CHAR(1),
ValorAPI DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
API_Corregido DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Densidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ValorVCW DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
FactorTemp DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
FleteUnd DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CodTarIva VARCHAR(4),
CodSicomPro VARCHAR(20),
Unidad VARCHAR(50),
Producto VARCHAR(250)
 CONSTRAINT PK_LogTmGuia PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmGuiaDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_LogTmGuiaIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmGuiaIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_LogTmGuiaIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmGuiaTipoProd CHECK ((len([TipoProd])>(0))),
 CONSTRAINT CK_LogTmGuiaUndMed CHECK ((len([UndMed])>(0))))

CREATE TABLE LogTmMediciones ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(500) NOT NULL,
TipoProd VARCHAR(10) NOT NULL,
AlturaTq DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipoMed INT DEFAULT ((0)) NOT NULL,
NivelVol DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VolMedido DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VolNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
Temperatura DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TempLab DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UnidTemp CHAR(1),
ValorAPI DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
API_Corregido DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Densidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndAforoC DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndAforoF DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Vol_Anterior DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantEntradas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantSalidas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantSaldo DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Unidad VARCHAR(50)
 CONSTRAINT PK_LogTmMediciones PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmMedicionesDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_LogTmMedicionesIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmMedicionesIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_LogTmMedicionesIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmMedicionesTipoProd CHECK ((len([TipoProd])>(0))),
 CONSTRAINT CK_LogTmMedicionesUndMed CHECK ((len([UndMed])>(0))))
GO